HostingDatabaseListResponse
Successful response with a list of HostingDatabase
errorintegerrequired
Always 0 in a successful response
Constant value:
0messagestring | nullnullablerequired
Always null in a successful response
data object[]required
Items returned by the operation
Array [
database_idstringrequired
Id of the database: its name
namestringrequired
typestringrequired
Type of the database: MYSQL or MSSQL (Microsoft SQL Server)
credential_idinteger | nullnullablerequired
Id of the database account that owns the database, as in GET /api/v3/hostings/{hosting_id}/credentials
usernamestring | nullnullablerequired
Username of the database account
supplier_codestring | nullnullablerequired
Id of the database on Plesk, for the hostings managed with Plesk; null for the others
table_countinteger | nullnullablerequired
Number of tables in the database; null for the databases on Plesk
]
metarequired
Always null: only the paginated lists have a meta
Constant value:
nullHostingDatabaseListResponse
{
"error": 0,
"message": "string",
"data": [
{
"database_id": "string",
"name": "string",
"type": "string",
"credential_id": 0,
"username": "string",
"supplier_code": "string",
"table_count": 0
}
]
}